Create a new workflow draft
curl --request POST \
--url https://api.usehasp.com/v1/projects/{project}/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"triggers": [
"<string>"
],
"steps": [
"<string>"
]
}
'import requests
url = "https://api.usehasp.com/v1/projects/{project}/workflows"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"triggers": ["<string>"],
"steps": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
triggers: ['<string>'],
steps: ['<string>']
})
};
fetch('https://api.usehasp.com/v1/projects/{project}/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"data": {
"object": "<string>",
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"version": 123,
"triggers": [
"<unknown>"
],
"steps": [
"<unknown>"
],
"project_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"success": false,
"error": {
"type": "authentication",
"code": "INVALID_API_KEY",
"message": "Bearer token is missing, malformed, or revoked.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"success": false,
"error": {
"type": "permission",
"code": "MISSING_SCOPE",
"message": "The caller is authenticated but lacks the scope or capability this route requires.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Workflow
Create a new workflow draft
POST /v1/projects//workflows
POST
/
projects
/
{project}
/
workflows
Create a new workflow draft
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project slug
Body
application/json
Maximum string length:
255Maximum string length:
100Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Maximum string length:
2000Available options:
lookup, update, analytics, export Response
The response is of type object.
⌘I